#!/bin/sh

#zmakebas -a 10 -o loader.tap loader.bas
./xm2zx16.pl
if [ $? = 0 ]; then
	pasmo --alocal --equ fend=35109 music.asm music.bin
	size=$( stat -c '%s' music.bin )
	#echo $size
	rm music.bin
	if [ $size -ge 9680 ]; then
		echo "Music data too large. Compilation aborted due to errors."
		exit 1
	fi

	#pasmo -d --alocal --tap ZX16.asm main.tap
	pasmo --alocal --tap ZX16.asm main.tap
	cat loader.tap main.tap > test.tap
	rm main.tap
	#fuse-sdl --no-confirm-actions -m 48 -t test.tap
else
	echo "XM conversion failed. Compilation aborted due to errors."
	exit 1
fi
